### A free/open-source library for quantitative finance

Public Member Functions
BlackScholesProcess Class Reference
Stochastic processes

Black-Scholes (1973) stochastic process. More...

`#include <ql/processes/blackscholesprocess.hpp>`

Inheritance diagram for BlackScholesProcess:
[legend]

List of all members.

## Public Member Functions

| BlackScholesProcess (const Handle< Quote > &x0, const Handle< YieldTermStructure > &riskFreeTS, const Handle< BlackVolTermStructure > &blackVolTS, const boost::shared_ptr< discretization > &d=boost::shared_ptr< discretization >(new EulerDiscretization))

## Detailed Description

Black-Scholes (1973) stochastic process.

This class describes the stochastic process for a stock given by

Examples:
  Replication.cpp.